#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: CommandLineTool

inputs:
- id: r_script
  type: File
  inputBinding:
    position: 0
- id: out_folder
  type: string
  inputBinding:
    position: 1
- id: in_kallisto_df
  type: File
  inputBinding:
    position: 2

outputs:
- id: outdir
  type:
    type: array
    items: Directory
  outputBinding:
    glob: $(runtime.outdir)/$(inputs.out_folder)

baseCommand:
- Rscript
