#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: Workflow

inputs:
  in_kallisto_results:  Directory
  in_metadata_file: File
  in_metadata_sample:  string
  in_metadata_factor:  string
  out_folder: string

steps: 
  collectResults:
    run: ../../workflows/kallisto_collect/workflow.cwl
    in:
      in_kallisto_results: in_kallisto_results
      in_metadata_file: in_metadata_file
      in_metadata_sample: in_metadata_sample
      in_metadata_factor: in_metadata_factor
      out_folder: out_folder
    out: [outdir]

outputs:
 outdir:
    type: Directory[]
    outputSource: collectResults/outdir
